Cancel time-off request
Cancel time-off request
Cancels the time-off request identified by time_off_id. Use this when a previously submitted or approved time off needs to be withdrawn. This action immediately sets the request to CANCELED regardless of its current status and cannot be reversed.
Token scopes: time-off:write, worker:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
time_off_id
Time off request id
Response
time off deleted
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error